# Add accounts to a client Endpoint: POST /api/v1/integrations/clients/{clientId}/accounts Version: 1 Security: , , , ## Path parameters: - `clientId` (string, required) The id of the client ## Request fields (application/json): - `accountNumber` (string, required) The account number, must be unique for the client. - `currency` (string, required) The currency of the account. 3-letter ISO currency code. - `description` (string, required) Description of the account. - `bankAccountNumber` (string) Optional bank account number associated with the account. ## Response 200 fields (application/json): - `success` (boolean, required) Indicates whether the request was successful - `error` (string,null) Error message, if the request was not successful - `accounts` (array,null) List of the added accounts - `accounts.accountId` (string, required) Account ID - `accounts.accountNumber` (string, required) Account number - `accounts.currency` (string,null) Currency - `accounts.clientId` (string, required) Client ID - `accounts.description` (string,null) Description - `accounts.bankAccountNumber` (string,null) Bank account number - `accounts.isSyncTransactionEnabled` (boolean) Is enabled for transaction sync - `accounts.isActiveInErp` (boolean) Indicates if the account is active in the ERP system ## Response 400 fields (application/json): - `success` (boolean, required) Indicates whether the request was successful - `error` (string,null) Error message, if the request was not successful - `accounts` (array,null) List of the added accounts - `accounts.accountId` (string, required) Account ID - `accounts.accountNumber` (string, required) Account number - `accounts.currency` (string,null) Currency - `accounts.clientId` (string, required) Client ID - `accounts.description` (string,null) Description - `accounts.bankAccountNumber` (string,null) Bank account number - `accounts.isSyncTransactionEnabled` (boolean) Is enabled for transaction sync - `accounts.isActiveInErp` (boolean) Indicates if the account is active in the ERP system ## Response 403 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)